Page MenuHomeFreeBSD

If pkg-message is not a UCL file, assume the message is "install" only.
ClosedPublic

Authored by mat on Aug 14 2019, 12:48 PM.
Tags
None
Referenced Files
F82079639: D21262.diff
Thu, Apr 25, 7:48 AM
Unknown Object (File)
Tue, Apr 23, 7:24 PM
Unknown Object (File)
Mar 20 2024, 2:36 AM
Unknown Object (File)
Dec 20 2023, 4:54 AM
Unknown Object (File)
Sep 4 2023, 5:42 PM
Unknown Object (File)
Aug 9 2023, 3:39 PM
Unknown Object (File)
Jul 6 2023, 11:17 PM
Unknown Object (File)
Jun 29 2023, 6:38 AM
Subscribers

Details

Summary

Add a QA check warning porters about non UCL pkg-message files.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

adamw added inline comments.
Mk/Scripts/qa.sh
1002 ↗(On Diff #60780)

Maybe ${message} not in UCL format, will be shown on initial install only." would be clearer?
I don't know how long the string can be, but maybe add "See https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/pkg-files.html#porting-message" to help porters.

This revision was not accepted when it landed; it landed in state Needs Review.Aug 19 2019, 12:18 PM
This revision was automatically updated to reflect the committed changes.